# List

Launch stage: GA

`GET /api/environments/v1/workspace-base-environments`

Lists all WorkspaceBaseEnvironments in the workspace.

 <Databricks> provides the following base environments:

 - `workspace-base-environments/databricks_ai_...`: includes popular AI and deep learning packages for serverless GPU compute.
   
   
   
 - `workspace-base-environments/databricks_ml_...`: includes popular ML packages for serverless compute.
   
   
   

 Databricks-provided base environments are versioned. For example, `workspace-base-environments/databricks_ml_v5` corresponds to the ML environment built on environment version 5.

API scopes: environments

**AWS**

Lists all WorkspaceBaseEnvironments in the workspace.

<Databricks> provides the following base environments:

- `workspace-base-environments/databricks_ai_...`: includes popular AI and deep learning packages for serverless GPU compute.
See https://docs.databricks.com/aws/en/release-notes/serverless/environment-version/five-gpu#ai-environment.

- `workspace-base-environments/databricks_ml_...`: includes popular ML packages for serverless compute.
See https://docs.databricks.com/aws/en/release-notes/serverless/environment-version/five#ml-environment.

Databricks-provided base environments are versioned. For example, `workspace-base-environments/databricks_ml_v5` corresponds to the ML environment built on environment version 5.

**Azure**

Lists all WorkspaceBaseEnvironments in the workspace.

<Databricks> provides the following base environments:

- `workspace-base-environments/databricks_ai_...`: includes popular AI and deep learning packages for serverless GPU compute.

See https://learn.microsoft.com/azure/databricks/release-notes/serverless/environment-version/five-gpu#ai-environment.

- `workspace-base-environments/databricks_ml_...`: includes popular ML packages for serverless compute.

See https://learn.microsoft.com/azure/databricks/release-notes/serverless/environment-version/five#ml-environment.

Databricks-provided base environments are versioned. For example, `workspace-base-environments/databricks_ml_v5` corresponds to the ML environment built on environment version 5.

**GCP**

Lists all WorkspaceBaseEnvironments in the workspace.

<Databricks> provides the following base environments:

- `workspace-base-environments/databricks_ai_...`: includes popular AI and deep learning packages for serverless GPU compute.

See https://docs.databricks.com/gcp/en/release-notes/serverless/environment-version/five-gpu#ai-environment.
- `workspace-base-environments/databricks_ml_...`: includes popular ML packages for serverless compute.

See https://docs.databricks.com/gcp/en/release-notes/serverless/environment-version/five#ml-environment.

Databricks-provided base environments are versioned. For example, `workspace-base-environments/databricks_ml_v5` corresponds to the ML environment built on environment version 5.

## Query parameters

- `page_size` (int32, optional)
  The maximum number of environments to return per page.
   Default is 1000.
  Default: `1000`
- `page_token` (string, optional)
  Page token for pagination. Received from a previous ListWorkspaceBaseEnvironments call.

## Returns

Returns a list of WorkspaceBaseEnvironment objects.

## Response

```json
{
  "workspace_base_environments": [
    {
      "name": "string",
      "display_name": "string",
      "filepath": "string",
      "creator_user_id": "string",
      "create_time": "string",
      "last_updated_user_id": "string",
      "update_time": "string",
      "status": "string",
      "message": "string",
      "is_default": true,
      "base_environment_type": "string",
      "spec": {}
    }
  ],
  "next_page_token": "string"
}
```

